Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[resolved] emerge failed bei lucene
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
teddydeluxe
Tux's lil' helper
Tux's lil' helper


Joined: 08 Oct 2011
Posts: 114

PostPosted: Thu May 10, 2012 12:35 pm    Post subject: [resolved] emerge failed bei lucene Reply with quote

hallo,

ich wollte netbeans 6.8 emergen und beim paket lucene schlägt es fehl. wo liegt das problem ?

Code:

clover.info:
     [echo]
     [echo]       Clover not found. Code coverage reports disabled.
     [echo]      

>>> Failed to emerge dev-java/lucene-2.4.1, Log file:

>>>  '/var/tmp/portage/dev-java/lucene-2.4.1/temp/build.log'

 * Messages for package dev-java/lucene-2.4.1:

 * ERROR: dev-java/lucene-2.4.1 failed (compile phase):
 *   eant failed
 *
 * Call stack:
 *     ebuild.sh, line   85:  Called src_compile
 *   environment, line 3857:  Called eant '-Dversion=2.4.1' 'jar-core' 'jar-demo'
 *   environment, line  506:  Called die
 * The specific snippet of code:
 *       ant ${antflags} "${@}" || die "eant failed"
 *
 * If you need support, post the output of 'emerge --info =dev-java/lucene-2.4.1',
 * the complete build log and the output of 'emerge -pqv =dev-java/lucene-2.4.1'.
 * The complete build log is located at '/var/tmp/portage/dev-java/lucene-2.4.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-java/lucene-2.4.1/temp/environment'.
 * S: '/var/tmp/portage/dev-java/lucene-2.4.1/work/lucene-2.4.1'


bei lucene 3.0 bricht er auch ab. es handelt sich um javacc 4.0 und java version "1.6.0_31".

nebenher : wieso gibt es in bei der suche die optionen titel+text oder text, aber nicht nur nach titel suchen :?

vielen dank schon mal


Last edited by teddydeluxe on Fri May 11, 2012 10:34 am; edited 1 time in total
Back to top
View user's profile Send private message
yuhu
Tux's lil' helper
Tux's lil' helper


Joined: 17 Oct 2006
Posts: 86

PostPosted: Thu May 10, 2012 2:41 pm    Post subject: Reply with quote

Hallo,

die 3.0.0 Version lässt sich ohne Probleme auf x64 mit der sun-jdk bauen. Welche verwendest Du?
Back to top
View user's profile Send private message
teddydeluxe
Tux's lil' helper
Tux's lil' helper


Joined: 08 Oct 2011
Posts: 114

PostPosted: Thu May 10, 2012 4:29 pm    Post subject: Reply with quote

ich verwende auch das sun jdk, aber die 3.0 version failed auch

Code:
 * ERROR: dev-java/lucene-3.0.0 failed (compile phase):
 *   eant failed
 *
 * Call stack:
 *     ebuild.sh, line   85:  Called src_compile
 *   environment, line 3861:  Called eant '-Djavacc.home=/usr/share/javacc/lib' 'javacc'
 *   environment, line  507:  Called die
 * The specific snippet of code:
 *       ant ${antflags} "${@}" || die "eant failed"
[/quote]
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4419

PostPosted: Thu May 10, 2012 4:44 pm    Post subject: Reply with quote

Deine Meldungen bringen leider nichts, weil das build.log fehlt. Kannst du die noch posten, wenns zu lang ist am besten über pastebin o.Ä.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3721
Location: Germany

PostPosted: Fri May 11, 2012 12:37 am    Post subject: Reply with quote

Das netbeans-6.8-r1.ebuild verlangt explizit
Code:
netbeans_modules_ide? (
...
 dev-java/lucene:2.4
)
Von daher bringt es vermutlich nichts es mit einer anderen lucene Version zu versuchen.
Back to top
View user's profile Send private message
teddydeluxe
Tux's lil' helper
Tux's lil' helper


Joined: 08 Oct 2011
Posts: 114

PostPosted: Fri May 11, 2012 9:04 am    Post subject: Reply with quote

also seit heute befidnet sich netbeans 7.1.1 in meinem tree und dafür habe ich versucht nochmal lucene 3.0 zu installieren.
die build.log :

http://pastebin.com/mHXFXzNj

scheint ein java problem zu sein
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4419

PostPosted: Fri May 11, 2012 9:17 am    Post subject: Reply with quote

Zeig mal das
/var/tmp/portage/dev-java/lucene-3.0.0/work/lucene-3.0.0/build/MANIFEST.MF
Back to top
View user's profile Send private message
teddydeluxe
Tux's lil' helper
Tux's lil' helper


Joined: 08 Oct 2011
Posts: 114

PostPosted: Fri May 11, 2012 9:20 am    Post subject: Reply with quote

Code:
.0/build/MANIFEST.MF
Manifest-Version: 1.0
Ant-Version: Apache Ant 1.8.1
Created-By: 1.6.0_31-b04 (Sun Microsystems Inc.)
Specification-Title: Lucene Search Engine: core
Specification-Version: 3.0-dev
Specification-Vendor: The Apache Software Foundation
Implementation-Title: org.apache.lucene
Implementation-Version: 3.0-dev exported
svnversion: warning: cannot s
 et LC_CTYPE locale
svnversion: warning: environment variable LANG is
 de_DE.UTF-8
svnversion: warning: please check that your locale name i
 s correct - 2012-05-11 11:18:21
Implementation-Vendor: The Apache Software Foundation
X-Compile-Source-JDK: 1.5
X-Compile-Target-JDK: 1.5
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4419

PostPosted: Fri May 11, 2012 9:27 am    Post subject: Reply with quote

Das gehört definitiv nicht rein:
Code:
svnversion: warning: cannot s
 et LC_CTYPE locale
svnversion: warning: environment variable LANG is
 de_DE.UTF-8
svnversion: warning: please check that your locale name i
 s correct - 2012-05-11 11:18:21
Implementation-Vendor: The Apache Software Foundation

Und nen bugreport gibts auch:
https://bugs.gentoo.org/show_bug.cgi?id=279050

// edit:
Das MANIFEST.MF schaut bei denen anders aus, kann also sein, dass es nicht hilft...
Back to top
View user's profile Send private message
teddydeluxe
Tux's lil' helper
Tux's lil' helper


Joined: 08 Oct 2011
Posts: 114

PostPosted: Fri May 11, 2012 10:33 am    Post subject: Reply with quote

der workaround hat geholfen. vielen dank :-)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum